<?php
/**
* Footer Settings.
*
* @package Aerial Drone
*/

$aerial_drone_default = aerial_drone_get_default_theme_options();

$wp_customize->add_section( 'aerial_drone_footer_widget_area',
	array(
	'title'      => esc_html__( 'Footer Settings', 'aerial-drone' ),
	'priority'   => 200,
	'capability' => 'edit_theme_options',
	'panel'      => 'aerial_drone_theme_option_panel',
	)
);

$wp_customize->add_setting('aerial_drone_display_footer',
    array(
        'default' => $aerial_drone_default['aerial_drone_display_footer'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'aerial_drone_sanitize_checkbox',
    )
);
$wp_customize->add_control('aerial_drone_display_footer',
    array(
        'label' => esc_html__('Enable Footer', 'aerial-drone'),
        'section' => 'aerial_drone_footer_widget_area',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'aerial_drone_footer_column_layout',
	array(
	'default'           => $aerial_drone_default['aerial_drone_footer_column_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'aerial_drone_sanitize_select',
	)
);
$wp_customize->add_control( 'aerial_drone_footer_column_layout',
	array(
	'label'       => esc_html__( 'Footer Column Layout', 'aerial-drone' ),
	'section'     => 'aerial_drone_footer_widget_area',
	'type'        => 'select',
	'choices'               => array(
		'1' => esc_html__( 'One Column', 'aerial-drone' ),
		'2' => esc_html__( 'Two Column', 'aerial-drone' ),
		'3' => esc_html__( 'Three Column', 'aerial-drone' ),
	    ),
	)
);

$wp_customize->add_setting( 'aerial_drone_footer_copyright_text',
	array(
	'default'           => $aerial_drone_default['aerial_drone_footer_copyright_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'aerial_drone_footer_copyright_text',
	array(
	'label'    => esc_html__( 'Footer Copyright Text', 'aerial-drone' ),
	'section'  => 'aerial_drone_footer_widget_area',
	'type'     => 'text',
	)
);

$wp_customize->add_setting('aerial_drone_copyright_font_size',
    array(
        'default'           => $aerial_drone_default['aerial_drone_copyright_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'aerial_drone_sanitize_number_range',
    )
);
$wp_customize->add_control('aerial_drone_copyright_font_size',
    array(
        'label'       => esc_html__('Copyright Font Size', 'aerial-drone'),
        'section'     => 'aerial_drone_footer_widget_area',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 5,
           'max'   => 30,
           'step'   => 1,
    	),
    )
);

$wp_customize->add_setting( 'aerial_drone_copyright_alignment', array(
    'default'           => 'Default',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'aerial_drone_sanitize_copyright_alignment_meta',
) );

$wp_customize->add_control( 'aerial_drone_copyright_alignment', array(
    'label'    => esc_html__( 'Copyright Section Alignment', 'aerial-drone' ),
    'section'  => 'aerial_drone_footer_widget_area',
    'type'     => 'select',
    'choices'  => array(
        'Default' => esc_html__( 'Default View', 'aerial-drone' ),
        'Reverse' => esc_html__( 'Reverse View', 'aerial-drone' ),
        'Center'  => esc_html__( 'Centered Content', 'aerial-drone' ),
    ),
) );

$wp_customize->add_setting( 'aerial_drone_footer_widget_background_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'aerial_drone_footer_widget_background_color', array(
    'label'     => __('Footer Widget Background Color', 'aerial-drone'),
    'description' => __('It will change the complete footer widget background color.', 'aerial-drone'),
    'section' => 'aerial_drone_footer_widget_area',
    'settings' => 'aerial_drone_footer_widget_background_color',
)));

$wp_customize->add_setting('aerial_drone_footer_widget_background_image',array(
    'default'   => '',
    'sanitize_callback' => 'esc_url_raw',
));
$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'aerial_drone_footer_widget_background_image',array(
    'label' => __('Footer Widget Background Image','aerial-drone'),
    'section' => 'aerial_drone_footer_widget_area'
)));

$wp_customize->add_setting( 'aerial_drone_footer_widget_title_alignment',
        array(
        'default'           => $aerial_drone_default['aerial_drone_footer_widget_title_alignment'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'aerial_drone_sanitize_footer_widget_title_alignment',
        )
    );
    $wp_customize->add_control( 'aerial_drone_footer_widget_title_alignment',
        array(
        'label'       => esc_html__( 'Footer Widget Title Alignment', 'aerial-drone' ),
        'section'     => 'aerial_drone_footer_widget_area',
        'type'        => 'select',
        'choices'     => array(
            'left' => esc_html__( 'Left', 'aerial-drone' ),
            'center'  => esc_html__( 'Center', 'aerial-drone' ),
            'right'    => esc_html__( 'Right', 'aerial-drone' ),
            ),
        )
    );

$wp_customize->add_setting('aerial_drone_enable_to_the_top',
    array(
        'default' => $aerial_drone_default['aerial_drone_enable_to_the_top'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'aerial_drone_sanitize_checkbox',
    )
);
$wp_customize->add_control('aerial_drone_enable_to_the_top',
    array(
        'label' => esc_html__('Enable To The Top', 'aerial-drone'),
        'section' => 'aerial_drone_footer_widget_area',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'aerial_drone_to_the_top_text',
    array(
    'default'           => $aerial_drone_default['aerial_drone_to_the_top_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'aerial_drone_to_the_top_text',
    array(
    'label'    => esc_html__( 'Edit Text Here', 'aerial-drone' ),
    'section'  => 'aerial_drone_footer_widget_area',
    'type'     => 'text',
    )
);